%global major 4
%global minor 8
%global micro 1
%global commit 81ed3f888cfe6e78d9d34c070f81386f3e001303
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global snapshotyear %(date +\%Y)
%global snapshotday %(date +\%m\%d)
%global snapshotdate %{snapshotyear}%{snapshotday}

Name:       rssguardlite
Version:    %{major}.%{minor}.%{micro}^%{snapshotdate}.%{shortcommit}
Release:    2%{?dist}

# GPL-3.0-or-later: main program
# BSD-3-Clause:  src/network-web/librssguard/googlesuggest.*
License:    GPL-3.0-or-later AND BSD-3-Clause
URL:        https://github.com/martinrotter/rssguard
Summary:    Simple yet powerful feed reader
Source0:    %{url}/archive/%{commit}.zip
# Patch1:     https://files.catbox.moe/fz89mp.patch

BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  pkgconfig(Qt6Concurrent)
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Core5Compat)
BuildRequires:  pkgconfig(Qt6DBus)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6Linguist)
BuildRequires:  pkgconfig(Qt6Multimedia)
BuildRequires:  pkgconfig(Qt6Network)
BuildRequires:  pkgconfig(Qt6Qml)
BuildRequires:  pkgconfig(Qt6Sql)
BuildRequires:  pkgconfig(Qt6Widgets)
BuildRequires:  pkgconfig(Qt6Xml)
BuildRequires:  pkgconfig(libsqlite3x)
BuildRequires:  pkgconfig(mpv)
Requires:       hicolor-icon-theme
Conflicts:      rssguard

%description
RSS Guard is simple, light and easy-to-use RSS/ATOM feed aggregator developed
using Qt framework which supports online feed synchronization.

%prep
%autosetup -n rssguard-%{commit} -p1
sed -i 's/\r$//' README.md

%build
%cmake -DNO_LITE=OFF -DNO_UPDATE_CHECK=ON -DCMAKE_BUILD_TYPE="Debug"
%cmake_build

%install
%cmake_install

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/io.github.martinrotter.rssguardlite.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/io.github.martinrotter.rssguardlite.metainfo.xml

%files
%doc README.md
%license LICENSE.md
%{_bindir}/rssguard
%{_includedir}/librssguard/
%{_libdir}/librssguard.so
%{_libdir}/rssguard/*.so
%{_datadir}/applications/io.github.martinrotter.rssguardlite.desktop
%{_datadir}/icons/hicolor/*/apps/io.github.martinrotter.rssguardlite.png
%{_datadir}/metainfo/io.github.martinrotter.rssguardlite.metainfo.xml

%changelog
* Wed Dec 28 2022 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> 4.2.7-1
- Update to 4.2.7

* Sun Oct 23 2022 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> 4.2.5-1
- Update to 4.2.5

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 4.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jul 03 2022 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> 4.2.3-1
- Update to 4.2.3 - Close: rhbz#2038463

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 4.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Jan 09 2022 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> 4.1.1-1
- Update to 4.1.1 Close: rhbz#2038463

* Mon Dec 20 2021 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> 4.0.4-2
- Disable LTO due to bug

* Sat Dec 18 2021 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> 4.0.4-1
- Update to 4.0.4 Close: rhbz#2001036

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 24 16:10:08 CEST 2021 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> - 3.9.2-1
- Update to 3.9.2
- Close: rhbz#1948625

* Wed Apr  7 15:55:39 CEST 2021 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> - 3.9.1-1
- Update to 3.9.1
- Close: rhbz#1946695

* Fri Mar  5 11:56:40 CET 2021 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> - 3.9.0-1
- Update to 3.9.0
- Close: rhbz#1932738

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan  8 15:13:47 CET 2021 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> - 3.8.4-1
- Update to 3.8.4
- Close: rhbz#1913107

* Fri Dec 04 23:23:28 CET 2020 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> - 3.8.3-1
- Update to 3.8.3
- Close rhbz#1899877

* Wed Nov 11 12:21:02 CET 2020 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> - 3.8.0-1
- Update to 3.8.0
- Close rhbz#1874625

* Sat Aug 29 14:38:25 CEST 2020 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> - 3.7.1-1
- Update to 3.7.1 (#1872522)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 13 16:57:13 CEST 2020 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> - 3.7.0-1
- Update to 3.7.0 (#1856323)

* Wed Jul 01 2020 Jeff Law <law@redhat.com> - 3.6.3-3
- Disable LTO

* Sat Jun 20 17:07:20 CEST 2020 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> - 3.6.3-2
- Fix library perms

* Fri Jun 19 20:44:52 CEST 2020 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> - 3.6.3-1
- Update to 3.6.3

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 09 23:44:15 CEST 2019 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> - 3.5.9-1
- Release 3.5.9

* Fri May 31 20:03:55 CEST 2019 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> - 3.5.8-1
- Release 3.5.8

* Thu Apr 04 11:14:04 CET 2019 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> - 3.5.7-1
- Release 3.5.7

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 08 2018 Rex Dieter <rdieter@fedoraproject.org> - 3.5.6-2
- better Qt dep

* Mon Feb 26 2018 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> 3.5.6-1
- Upstream release 3.5.6

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Dec 07 2017 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> 3.5.5-1
- Upstream release 3.5.5

* Wed Nov 01 2017 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> 3.5.4-3
- Unbundle qtsinglecoreapplication
- Correct licensing

* Tue Oct 31 2017 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> 3.5.4-2
- Added ExclusiveArch

* Tue Oct 31 2017 Robert-AndrÃ© Mauchin <zebob.m@gmail.com> 3.5.4-1
- First RPM release

